> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/implementation/browser/browser-events.md).

# Browser events

We provide some custom event triggers that you can listen to in JavaScript.

### Initialization

This will be triggered when the SDK is initialized.

**Event name**\
edgetag-initialized

{% code title="Event definiton" %}

```typescript
{
  destination: string, 
  userId: string, 
  isNewUser: boolean | undefined, 
  geoCountry: string,
  geoRegion: string,
  session: Record<string, string[]>,
  userIP: string,
  consent: Record<string, boolean | Record<string | boolean>> | null, 
  consentCategories: Record<string, boolean>,
  consentSetting: Record<string, string[]>
}
```

{% endcode %}

{% code title="Example" %}

```javascript
window.addEventListener('edgetag-initialized', ({ detail }) => {
  console.log({
    userId: detail.userId,
    isNewUser: detail.isNewUser,
    consent: detail.consent,
    ip: detail.userIP,
    consentSetting: detail.consentSetting
  })
})
```

{% endcode %}

### Consent

This will be triggered when the consent function is called

**Event name**\
edgetag-consent

{% code title="Event definition" %}

```typescript
{ 
  destination: string, 
  oldConsent: Record<string, boolean | Record<string | boolean>> | null
  newConsent: Record<string, boolean | Record<string | boolean>> | null
  oldConsentCategories: Record<string, boolean> | null
  newConsentCategories: Record<string, boolean> | null
}
```

{% endcode %}

{% code title="Example" %}

```javascript
window.addEventListener('edgetag-consent', ({ detail }) => {
  console.log({
    oldConsent: detail.oldConsent,
    newConsent: detail.newConsent
  })
})
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.edgetag.io/implementation/browser/browser-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
